Salt ENC button missing and documentation lacking
02/23/2024 03:05 PM - Jeff S

Status: New
Category:

Target version:

Triaged: No Found in Releases:

Fixed in Releases:

Description

According to:
https://docs.theforeman.org/nightly/Managing_Configurations_Salt/index-katello.html#Viewing ENC_Parameters_managing-configur
ations-salt

| should have a Salt ENC button on my hosts page. However, | do not see this option anywhere. | am trying to get a host parameter
to show up in the pillar data, but it does not.
| have added a test parameter on a host:

Qverview Details Parameters Puppet Reports

Q. Find by name > Add parameter 1-40f4 ~
Name t Type Value Source

host_packages string global /
host_registration_insights boolean false global f
host_registration_remate_sxecution boolean true globa rd

test string test host rd

1-4of 4items = of 1

| have ran salt ™' saltutil.refresh_pillar but alas the parameter does not show up when running salt <minion> pillar.items.

How can | get the Salt ENC button to appear, and why am | not seeing the parameters as pillar data for a minion?

History

#1 - 02/23/2024 03:07 PM - Jeff S

| should note, when running /usr/bin/foreman-node <minion> | do indeed see the parameter. | am just not sure how | actually use it within Salt as the
docs are severely lacking.

While calling salt <minion> pillar.items | see in the salt master logs: 2024-02-23 15:18:11,445 [salt.loaded.int.pillar.puppet:27 J[CRITICAL][1169831]
YAML data from /usr/bin/foreman-node failed to parse

#2 - 03/04/2024 03:18 PM - Jeff S
- Priority changed from Normal to High

Is there any way to change the puppet enc button to show the salt enc, like in your documentation?
